none
Ajuda - Versão do Entity Framework na Hospedagem RRS feed

  • Pergunta

  • Olá Pessoal,

    Fiz minha aplicação ASP.NET MVC 2.0 (framework 4.0), utilizando o Entity Framework 4.0. Verifiquei no serviço de hospedagem da UOL que eles suportam apenas a versão 1.0 do Entity Framework. Porém ao entrar em contato com o suporte, eles disseram que eu poderia abrir um chamado solicitando a atualização para versão 4.0. Agora, após a compra, eles estão dizendo que não é possível atualização.

    Então, gostaria de saber com vcs o seguinte: 

    (1) Se eu fizer a cópia das bibliotecas necessárias para execução do Entity Framework 4.0 para o servidor, eu consigo executar meu site, mesmo a hospedagem suportanto apenas a versão 1.0?

    (2) Quais biliotecas são necessárias?

    Desde já agradeço a atenção.

    Abraços,

    Marcelo.

    sexta-feira, 9 de março de 2012 14:40

Respostas

  • Boa tarde.

    Depende das funcionalidades que voce esta usando do entity(Data Annotations, POCO). Aconselho a voce clicar nas dll e setar a propriedade copy only para true, desta forma ao dar um build e publicar a aplicacao, todas as dll estarão no seu pacote.


    Consultoria .NET
    ANALISTA DESENVOLVEDOR
    Se esta sugestão for útil, por favor, classifique-a como útil.
    Se ela lhe ajudar a resolver o problema, por favor, marque-a como resposta.
    Blog .Net Descomplicado

    • Sugerido como Resposta Mauricio P.d quinta-feira, 15 de março de 2012 14:33
    • Marcado como Resposta MarceloTaranto quinta-feira, 15 de março de 2012 22:25
    sexta-feira, 9 de março de 2012 16:29
  • Bom dia,


    Se voocê subir as dlls necessarias que não existam no servidor a aplicacão ira rodar normalmente, existe um jeito que o proprio vs faz isto para você

    segue o link :

    http://haacked.com/archive/2008/11/03/bin-deploy-aspnetmvc.aspx

    caso sua aplicação não esteja rodando ainda, verifique com a Uol se o seu pool de aplicativos esta configurado para o framework 4

    espero ter ajudado

    Abraços

    • Marcado como Resposta MarceloTaranto quinta-feira, 15 de março de 2012 22:25
    terça-feira, 13 de março de 2012 14:13

Todas as Respostas

  • Boa tarde.

    Depende das funcionalidades que voce esta usando do entity(Data Annotations, POCO). Aconselho a voce clicar nas dll e setar a propriedade copy only para true, desta forma ao dar um build e publicar a aplicacao, todas as dll estarão no seu pacote.


    Consultoria .NET
    ANALISTA DESENVOLVEDOR
    Se esta sugestão for útil, por favor, classifique-a como útil.
    Se ela lhe ajudar a resolver o problema, por favor, marque-a como resposta.
    Blog .Net Descomplicado

    • Sugerido como Resposta Mauricio P.d quinta-feira, 15 de março de 2012 14:33
    • Marcado como Resposta MarceloTaranto quinta-feira, 15 de março de 2012 22:25
    sexta-feira, 9 de março de 2012 16:29
  • Bom dia,


    Se voocê subir as dlls necessarias que não existam no servidor a aplicacão ira rodar normalmente, existe um jeito que o proprio vs faz isto para você

    segue o link :

    http://haacked.com/archive/2008/11/03/bin-deploy-aspnetmvc.aspx

    caso sua aplicação não esteja rodando ainda, verifique com a Uol se o seu pool de aplicativos esta configurado para o framework 4

    espero ter ajudado

    Abraços

    • Marcado como Resposta MarceloTaranto quinta-feira, 15 de março de 2012 22:25
    terça-feira, 13 de março de 2012 14:13
  • Resolvido! Obrigado Pessoal!
    quinta-feira, 15 de março de 2012 22:25